<br>
<div class="container">
  <div class="card">
    <div class="card-header">
      <h3 class="text-center"><b>Formulario de materiales para obra</b></h3>
    </div>
      <div class="card-body justify-content-center">

        <form class="mt-4 col-md-12" [formGroup]="Reqform" (ngSubmit)="onSave()">
          <div class="justify-content-center">
            <div class="form-group">
              <label> Asignar requisición </label>
              <select class="form-control form-select" formControlName="requisicion_id">
                <option selected [ngValue]="null">Seleccionar Requisición</option>
                <option *ngFor="let item of $requisic | async" [ngValue]="item.obra_id"><b>{{item.obra_id}}</b> a cargo del ing. {{item.requisitador_id}}</option>
              </select>
            </div>
            <div class="form-group">
              <label> Asignar Concepto </label>
              <select class="form-control form-select" formControlName="concepto_id">
                <option selected [ngValue]="null">Seleccionar Concepto</option>
                <option *ngFor="let item of $conceptos | async" [ngValue]="item.nombre">{{item.nombre}}</option>
              </select>
            </div>

              <hr>

          <!-- Recolección de datos -->
            <div formArrayName="materials">
              <div class="form-row" *ngFor="let group of MaterialsArray.controls; let i = index;" [formGroupName]="i">
                  <div class="form-group col-md-6">
                    <label> Asignar material </label>
                    <select class="form-control form-select" formControlName="material_id">
                      <option selected [ngValue]="null">Seleccionar material</option>
                      <option *ngFor="let item of $materiales | async" [ngValue]="item.nombre">{{item.nombre}}</option>
                    </select>
                  </div>

                  <div class="form-group col-md-4">
                    <label> Cantidad </label>
                    <input type="text" class="form-control" formControlName="cantidad">
                  </div>

                  <div class="form-group col-md-2">
                    <br>
                    <!-- Botón para remover alguna fila -->
                    <button (click)="removeMaterial(i)" class="form-control btn btn-danger" *ngIf="i!==0">Eliminar<b>-</b></button>
                  </div>

                </div>
                <!-- Boton par agregar más formularios -->
                <div class="justify-content-center">
                  <button (click)="addMaterial()" class="btn btn-secondary">Agregar Materiales <b>+</b> </button>
                </div>
              </div>
            </div>

            <br>
          <div class="justify-content-center">
            <button class="btn btn-success btn-md-8" (click)="onSave()">Guardar datos</button>
          </div>
        </form>

        <div class="row">
          <button type="button" class="btn btn-primary mt-2" (click)="onGoBackToList()">Regresar al listado</button>
        </div>

      </div>
  </div>
</div>
